Get compute version
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Returns a compute version by ID, including its current status derived from the underlying VM state.
GET
/v1/compute-services/versions/{versionId}AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
versionId*string
Match
^(cpv_)?([cC][^\s-]{8,}|[a-z0-9]+)$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.prisma.io/v1/compute-services/versions/string"{
"data": {
"id": "string",
"type": "compute-version",
"url": "http://example.com",
"foundryVersionId": "string",
"status": "string",
"previewDomain": "string",
"envVars": {
"property1": "string",
"property2": "string"
},
"createdAt": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}